import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ListenerDetailsL7PoliciesComponent } from './listener-details-l7-policies.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('ListenerDetailsL7PoliciesComponent', () => {
  let component: ListenerDetailsL7PoliciesComponent;
  let fixture: ComponentFixture<ListenerDetailsL7PoliciesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ ListenerDetailsL7PoliciesComponent ],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ListenerDetailsL7PoliciesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
